Bug 2056050 - [OVN]After reboot egress node, lr-policy-list was not correct, some duplicate records or missed internal IPs
Summary: [OVN]After reboot egress node, lr-policy-list was not correct, some duplicat...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.7
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: 4.7.z
Assignee: ffernand
QA Contact: Anurag saxena
URL:
Whiteboard:
Depends On: 2041767 2043677 2057152 2059706 2062842 2070339
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-02-18 15:41 UTC by Will Russell
Modified: 2022-04-08 19:09 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 2043677
: 2059354 2063321 (view as bug list)
Environment:
Last Closed: 2022-04-08 19:09:48 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 8 Will Russell 2022-02-28 14:34:05 UTC
Important update:

This issue appears to be resolved after updating with the necessary follow up/cleanup steps: https://access.redhat.com/solutions/5118061

Removal of the NBDB/SBDB + deletion/restarting of all OVN master pods + removal/restart of all OVN worker pods in the openshift-ovn-kubernetes namespace has allowed the cluster to return to READY status + validation that no remaining duplicated/stale egressIP UUID's exist in the cluster after patch update to 4.8.29 (which includes fix for above).

We are confirming that this works on a secondary impacted cluster today, but has resolved primary issue and if confirmed we can mark this bug closed.

I will update this case with a confirmation shortly.

Comment 10 Tim Rozet 2022-02-28 20:45:43 UTC
Although the wiping of dbs may have worked around the issue, there is still a bug here with ovnk. We should never have ended up with these duplicate rows in the first place. Flavio is working on a fix.


Note You need to log in before you can comment on or make changes to this bug.